#include <iostream>
#include <iomanip>
#include <cstdlib>

using namespace std;

int factorial(int n){
	int val = 1;

	for(int i = n; i > 0; --i){
		val *= i;
	}

	return val;
}

long factorial_l(int n){
	long val = 1;

	for(long i = n; i > 0; --i){
		val *= i;
	}

	return val;
}


int main(int argc, char* argv[]){

	if(argc != 2){
		cerr << "Usage: " << argv[0] << " n" << endl;
		exit(1);
	}
    
	int n = atoi(argv[1]);
	if(n < 1){
		cerr << "Error: can only calculate factorial of positive integer!" << endl;
		exit(1);
	}

	cout << setw(3) << "n" << setw(16) << "n! (int)" << setw(24) << "n! (long)" << endl;    
	for(int i = 1; i <= n; ++i){
		cout << setw(3) << i << setw(16) << factorial(i) << setw(24) << factorial_l(i) << endl;
	}

	return 0;
}
